GuideLab API

Get order and revenue trends

Returns daily submitted and completed order counts and revenue over a date range (defaults to last 30 days). Lab-only endpoint.

GET
/dashboard/trends

Returns daily submitted and completed order counts and revenue over a date range (defaults to last 30 days). Lab-only endpoint.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Response Body

application/json

curl -X GET "https://example.com/dashboard/trends"
{  "dateRange": {    "start": "string",    "end": "string"  },  "currency": "GBP",  "series": {    "submitted": [      {        "date": "string",        "count": 0,        "value": 0,        "valueExact": "1234.56"      }    ],    "completed": [      {        "date": "string",        "count": 0,        "value": 0,        "valueExact": "1234.56"      }    ]  },  "currencySeries": [    {      "currency": "GBP",      "series": {        "submitted": [          {            "date": "string",            "count": 0,            "valueExact": "1234.56"          }        ],        "completed": [          {            "date": "string",            "count": 0,            "valueExact": "1234.56"          }        ]      },      "totals": {        "submitted": {          "count": 0,          "valueExact": "1234.56"        },        "completed": {          "count": 0,          "valueExact": "1234.56"        }      }    }  ],  "totals": {    "submitted": {      "count": 0,      "value": 0,      "valueExact": "1234.56"    },    "completed": {      "count": 0,      "value": 0,      "valueExact": "1234.56"    }  }}
Empty